Changeset 1873


Ignore:
Timestamp:
Nov 25, 2010 5:53:22 PM (9 years ago)
Author:
stefan
Message:

MA57 needs Metis

Location:
ThirdParty/HSL/trunk
Files:
6 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/HSL/trunk/Makefile.in

    r1744 r1873  
    171171COIN_HAS_MC19_FALSE = @COIN_HAS_MC19_FALSE@
    172172COIN_HAS_MC19_TRUE = @COIN_HAS_MC19_TRUE@
     173COIN_HAS_METIS_FALSE = @COIN_HAS_METIS_FALSE@
     174COIN_HAS_METIS_TRUE = @COIN_HAS_METIS_TRUE@
    173175COIN_HAS_PKGCONFIG_FALSE = @COIN_HAS_PKGCONFIG_FALSE@
    174176COIN_HAS_PKGCONFIG_TRUE = @COIN_HAS_PKGCONFIG_TRUE@
     
    207209HAVE_EXTERNALS_TRUE = @HAVE_EXTERNALS_TRUE@
    208210HAVE_MXXX_CFLAGS = @HAVE_MXXX_CFLAGS@
     211HSL_CFLAGS = @HSL_CFLAGS@
     212HSL_LIBS = @HSL_LIBS@
    209213HSL_PCLIBS = @HSL_PCLIBS@
     214HSL_PCREQUIRES = @HSL_PCREQUIRES@
    210215HSL_SHARED_LIB = @HSL_SHARED_LIB@
    211216HSL_SVN_REV = @HSL_SVN_REV@
     
    229234MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
    230235MAKEINFO = @MAKEINFO@
     236METIS_CFLAGS = @METIS_CFLAGS@
     237METIS_DATA = @METIS_DATA@
     238METIS_LIBS = @METIS_LIBS@
    231239MPICC = @MPICC@
    232240MPIF77 = @MPIF77@
  • ThirdParty/HSL/trunk/coinhsl-uninstalled.pc.in

    r1683 r1873  
    77Libs: -L${libdir} -lcoinhsl @HSL_PCLIBS@
    88Cflags: @HAVE_MXXX_CFLAGS@
     9Requires: @HSL_PCREQUIRES@
  • ThirdParty/HSL/trunk/coinhsl.pc.in

    r1683 r1873  
    88Libs: -L${libdir} -lcoinhsl @HSL_PCLIBS@
    99Cflags: @HAVE_MXXX_CFLAGS@
     10Requires: @HSL_PCREQUIRES@
  • ThirdParty/HSL/trunk/config_hsl.h.in

    r1661 r1873  
    11/* config_hsl.h.in.  Generated from configure.ac by autoheader.  */
     2
     3/* Define to 1 if the Metis package is available */
     4#undef COIN_HAS_METIS
    25
    36/* Define to the debug sanity check level (0 is no test) */
  • ThirdParty/HSL/trunk/configure

    r1758 r1873  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS PCADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion HSL_SVN_REV build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED FLIBS HSL_PCLIBS EGREP FC FCFLAGS ac_ct_FC INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS COIN_HAS_MA27_TRUE COIN_HAS_MA27_FALSE COIN_HAS_MC19_TRUE COIN_HAS_MC19_FALSE COIN_HAS_MA57_TRUE COIN_HAS_MA57_FALSE COIN_HAS_MA28_TRUE COIN_HAS_MA28_FALSE COIN_HAS_MA77_TRUE COIN_HAS_MA77_FALSE HAVE_MXXX_CFLAGS F77_SHARED_CMD F77_DLL_LINKFLAGS HSL_SHARED_LIB EXPORT_SYMBOLS DEFFILE INSTALL_LOADABLE_LIBRARY_TRUE INSTALL_LOADABLE_LIBRARY_FALSE NEED_DEFFILE_TRUE NEED_DEFFILE_FALSE EXTRA_SHARED_COMMAND_TRUE EXTRA_SHARED_COMMAND_FALSE LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS PCADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion HSL_SVN_REV build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED FLIBS EGREP FC FCFLAGS ac_ct_FC INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS COIN_HAS_MA27_TRUE COIN_HAS_MA27_FALSE COIN_HAS_MC19_TRUE COIN_HAS_MC19_FALSE COIN_HAS_MA57_TRUE COIN_HAS_MA57_FALSE COIN_HAS_MA28_TRUE COIN_HAS_MA28_FALSE COIN_HAS_MA77_TRUE COIN_HAS_MA77_FALSE METIS_LIBS METIS_CFLAGS METIS_DATA HSL_CFLAGS HSL_LIBS HSL_PCLIBS HSL_PCREQUIRES COIN_HAS_METIS_TRUE COIN_HAS_METIS_FALSE HAVE_MXXX_CFLAGS F77_SHARED_CMD F77_DLL_LINKFLAGS HSL_SHARED_LIB EXPORT_SYMBOLS DEFFILE INSTALL_LOADABLE_LIBRARY_TRUE INSTALL_LOADABLE_LIBRARY_FALSE NEED_DEFFILE_TRUE NEED_DEFFILE_FALSE EXTRA_SHARED_COMMAND_TRUE EXTRA_SHARED_COMMAND_FALSE LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    11181118  --with-tags[=TAGS]
    11191119                          include additional configurations [automatic]
     1120  --with-metis-lib linker flags for using package Metis
     1121  --with-metis-incdir directory with header files for using package Metis
     1122  --with-metis-datadir directory with data files for using package Metis
    11201123
    11211124Some influential environment variables:
     
    33893392
    33903393# Provide some information about the compiler.
    3391 echo "$as_me:3391:" \
     3394echo "$as_me:3394:" \
    33923395     "checking for Fortran 77 compiler version" >&5
    33933396ac_compiler=`set X $ac_compile; echo $2`
     
    41484151ac_save_FFLAGS=$FFLAGS
    41494152FFLAGS="$FFLAGS $ac_verb"
    4150 (eval echo $as_me:4150: \"$ac_link\") >&5
     4153(eval echo $as_me:4153: \"$ac_link\") >&5
    41514154ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    41524155echo "$ac_f77_v_output" >&5
     
    42264229ac_save_FFLAGS=$FFLAGS
    42274230FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4228 (eval echo $as_me:4228: \"$ac_link\") >&5
     4231(eval echo $as_me:4231: \"$ac_link\") >&5
    42294232ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    42304233echo "$ac_f77_v_output" >&5
     
    49784981
    49794982# Add FLIBS to HSL_PCLIBS, so that they get into the .pc files
    4980 HSL_PCLIBS="$FLIBS"
    4981 
     4983HSL_PCLIBS="$HSL_PCLIBS $FLIBS"
    49824984
    49834985# Need egrep later on
     
    50995101
    51005102# Provide some information about the compiler.
    5101 echo "$as_me:5101:" \
     5103echo "$as_me:5103:" \
    51025104     "checking for Fortran compiler version" >&5
    51035105ac_compiler=`set X $ac_compile; echo $2`
     
    68656867*-*-irix6*)
    68666868  # Find out which ABI we are using.
    6867   echo '#line 6867 "configure"' > conftest.$ac_ext
     6869  echo '#line 6869 "configure"' > conftest.$ac_ext
    68686870  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    68696871  (eval $ac_compile) 2>&5
     
    93429344   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    93439345   -e 's:$: $lt_compiler_flag:'`
    9344    (eval echo "\"\$as_me:9344: $lt_compile\"" >&5)
     9346   (eval echo "\"\$as_me:9346: $lt_compile\"" >&5)
    93459347   (eval "$lt_compile" 2>conftest.err)
    93469348   ac_status=$?
    93479349   cat conftest.err >&5
    9348    echo "$as_me:9348: \$? = $ac_status" >&5
     9350   echo "$as_me:9350: \$? = $ac_status" >&5
    93499351   if (exit $ac_status) && test -s "$ac_outfile"; then
    93509352     # The compiler can only warn and ignore the option if not recognized
     
    96109612   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    96119613   -e 's:$: $lt_compiler_flag:'`
    9612    (eval echo "\"\$as_me:9612: $lt_compile\"" >&5)
     9614   (eval echo "\"\$as_me:9614: $lt_compile\"" >&5)
    96139615   (eval "$lt_compile" 2>conftest.err)
    96149616   ac_status=$?
    96159617   cat conftest.err >&5
    9616    echo "$as_me:9616: \$? = $ac_status" >&5
     9618   echo "$as_me:9618: \$? = $ac_status" >&5
    96179619   if (exit $ac_status) && test -s "$ac_outfile"; then
    96189620     # The compiler can only warn and ignore the option if not recognized
     
    97149716   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    97159717   -e 's:$: $lt_compiler_flag:'`
    9716    (eval echo "\"\$as_me:9716: $lt_compile\"" >&5)
     9718   (eval echo "\"\$as_me:9718: $lt_compile\"" >&5)
    97179719   (eval "$lt_compile" 2>out/conftest.err)
    97189720   ac_status=$?
    97199721   cat out/conftest.err >&5
    9720    echo "$as_me:9720: \$? = $ac_status" >&5
     9722   echo "$as_me:9722: \$? = $ac_status" >&5
    97219723   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    97229724   then
     
    1213112133  lt_status=$lt_dlunknown
    1213212134  cat > conftest.$ac_ext <<EOF
    12133 #line 12133 "configure"
     12135#line 12135 "configure"
    1213412136#include "confdefs.h"
    1213512137
     
    1223112233  lt_status=$lt_dlunknown
    1223212234  cat > conftest.$ac_ext <<EOF
    12233 #line 12233 "configure"
     12235#line 12235 "configure"
    1223412236#include "confdefs.h"
    1223512237
     
    1459114593   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1459214594   -e 's:$: $lt_compiler_flag:'`
    14593    (eval echo "\"\$as_me:14593: $lt_compile\"" >&5)
     14595   (eval echo "\"\$as_me:14595: $lt_compile\"" >&5)
    1459414596   (eval "$lt_compile" 2>conftest.err)
    1459514597   ac_status=$?
    1459614598   cat conftest.err >&5
    14597    echo "$as_me:14597: \$? = $ac_status" >&5
     14599   echo "$as_me:14599: \$? = $ac_status" >&5
    1459814600   if (exit $ac_status) && test -s "$ac_outfile"; then
    1459914601     # The compiler can only warn and ignore the option if not recognized
     
    1469514697   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1469614698   -e 's:$: $lt_compiler_flag:'`
    14697    (eval echo "\"\$as_me:14697: $lt_compile\"" >&5)
     14699   (eval echo "\"\$as_me:14699: $lt_compile\"" >&5)
    1469814700   (eval "$lt_compile" 2>out/conftest.err)
    1469914701   ac_status=$?
    1470014702   cat out/conftest.err >&5
    14701    echo "$as_me:14701: \$? = $ac_status" >&5
     14703   echo "$as_me:14703: \$? = $ac_status" >&5
    1470214704   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1470314705   then
     
    1626516267   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1626616268   -e 's:$: $lt_compiler_flag:'`
    16267    (eval echo "\"\$as_me:16267: $lt_compile\"" >&5)
     16269   (eval echo "\"\$as_me:16269: $lt_compile\"" >&5)
    1626816270   (eval "$lt_compile" 2>conftest.err)
    1626916271   ac_status=$?
    1627016272   cat conftest.err >&5
    16271    echo "$as_me:16271: \$? = $ac_status" >&5
     16273   echo "$as_me:16273: \$? = $ac_status" >&5
    1627216274   if (exit $ac_status) && test -s "$ac_outfile"; then
    1627316275     # The compiler can only warn and ignore the option if not recognized
     
    1636916371   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1637016372   -e 's:$: $lt_compiler_flag:'`
    16371    (eval echo "\"\$as_me:16371: $lt_compile\"" >&5)
     16373   (eval echo "\"\$as_me:16373: $lt_compile\"" >&5)
    1637216374   (eval "$lt_compile" 2>out/conftest.err)
    1637316375   ac_status=$?
    1637416376   cat out/conftest.err >&5
    16375    echo "$as_me:16375: \$? = $ac_status" >&5
     16377   echo "$as_me:16377: \$? = $ac_status" >&5
    1637616378   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1637716379   then
     
    1857618578   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1857718579   -e 's:$: $lt_compiler_flag:'`
    18578    (eval echo "\"\$as_me:18578: $lt_compile\"" >&5)
     18580   (eval echo "\"\$as_me:18580: $lt_compile\"" >&5)
    1857918581   (eval "$lt_compile" 2>conftest.err)
    1858018582   ac_status=$?
    1858118583   cat conftest.err >&5
    18582    echo "$as_me:18582: \$? = $ac_status" >&5
     18584   echo "$as_me:18584: \$? = $ac_status" >&5
    1858318585   if (exit $ac_status) && test -s "$ac_outfile"; then
    1858418586     # The compiler can only warn and ignore the option if not recognized
     
    1884418846   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1884518847   -e 's:$: $lt_compiler_flag:'`
    18846    (eval echo "\"\$as_me:18846: $lt_compile\"" >&5)
     18848   (eval echo "\"\$as_me:18848: $lt_compile\"" >&5)
    1884718849   (eval "$lt_compile" 2>conftest.err)
    1884818850   ac_status=$?
    1884918851   cat conftest.err >&5
    18850    echo "$as_me:18850: \$? = $ac_status" >&5
     18852   echo "$as_me:18852: \$? = $ac_status" >&5
    1885118853   if (exit $ac_status) && test -s "$ac_outfile"; then
    1885218854     # The compiler can only warn and ignore the option if not recognized
     
    1894818950   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1894918951   -e 's:$: $lt_compiler_flag:'`
    18950    (eval echo "\"\$as_me:18950: $lt_compile\"" >&5)
     18952   (eval echo "\"\$as_me:18952: $lt_compile\"" >&5)
    1895118953   (eval "$lt_compile" 2>out/conftest.err)
    1895218954   ac_status=$?
    1895318955   cat out/conftest.err >&5
    18954    echo "$as_me:18954: \$? = $ac_status" >&5
     18956   echo "$as_me:18956: \$? = $ac_status" >&5
    1895518957   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1895618958   then
     
    2204822050if test $coin_has_ma57ad = yes; then
    2204922051  HAVE_MXXX_CFLAGS="-DHAVE_MA57 $HAVE_MXXX_CFLAGS"
     22052
     22053echo "$as_me:$LINENO: checking for COIN-OR package Metis" >&5
     22054echo $ECHO_N "checking for COIN-OR package Metis... $ECHO_C" >&6
     22055
     22056coin_has_metis=notGiven
     22057
     22058# check if user wants to skip package in any case
     22059if test x"$COIN_SKIP_PROJECTS" != x; then
     22060  for dir in $COIN_SKIP_PROJECTS; do
     22061    if test $dir = "Metis"; then
     22062      coin_has_metis=skipping
     22063    fi
     22064  done
     22065fi
     22066
     22067METIS_LIBS=
     22068METIS_CFLAGS=
     22069METIS_DATA=
     22070
     22071
     22072
     22073
     22074
     22075
     22076
     22077
     22078
     22079
     22080#check if user provided LIBS, CFLAGS, or DATA for module
     22081if test $coin_has_metis != skipping; then
     22082
     22083
     22084# Check whether --with-m4_tolower(Metis)-lib or --without-m4_tolower(Metis)-lib was given.
     22085if test "${with_metis_lib+set}" = set; then
     22086  withval="$with_metis_lib"
     22087  coin_has_metis=yes
     22088       METIS_LIBS="$withval"
     22089
     22090         HSL_PCLIBS="$withval $HSL_PCLIBS"
     22091         HSL_LIBS="$withval $HSL_LIBS"
     22092
     22093
     22094fi;
     22095
     22096
     22097# Check whether --with-m4_tolower(Metis)-incdir or --without-m4_tolower(Metis)-incdir was given.
     22098if test "${with_metis_incdir+set}" = set; then
     22099  withval="$with_metis_incdir"
     22100  coin_has_metis=yes
     22101     METIS_CFLAGS="-I`${CYGPATH_W} $withval`"
     22102     HSL_CFLAGS="$withval $HSL_CFLAGS"
     22103
     22104
     22105fi;
     22106
     22107
     22108# Check whether --with-m4_tolower(Metis)-datadir or --without-m4_tolower(Metis)-datadir was given.
     22109if test "${with_metis_datadir+set}" = set; then
     22110  withval="$with_metis_datadir"
     22111  coin_has_metis=yes
     22112     METIS_DATA="$withval"
     22113fi;
     22114fi
     22115
     22116if test $coin_has_metis = notGiven; then
     22117  if test -n "$PKG_CONFIG" ; then
     22118    # set search path for pkg-config
     22119    # need to export variable to be sure that the following pkg-config gets these values
     22120    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     22121    PKG_CONFIG_PATH="$COIN_PKG_CONFIG_PATH:$COIN_PKG_CONFIG_PATH_UNINSTALLED"
     22122    export PKG_CONFIG_PATH
     22123
     22124    # let pkg-config do it's magic
     22125
     22126
     22127
     22128if test -n "$PKG_CONFIG" ; then
     22129  if $PKG_CONFIG --exists "coinmetis"; then
     22130    METIS_VERSIONS="`$PKG_CONFIG --modversion "coinmetis" 2>/dev/null`"
     22131     cflags=`$PKG_CONFIG --cflags "coinmetis" 2>/dev/null`
     22132    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
     22133        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     22134        # but only do this if is not trivial
     22135    if test "$CYGPATH_W" != "echo" ; then
     22136      # need to put into brackets since otherwise autoconf replaces the brackets in the sed command
     22137          cflags=`echo $cflags | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
     22138        fi
     22139    METIS_CFLAGS="$cflags"
     22140    METIS_LIBS=`$PKG_CONFIG --libs "coinmetis" 2>/dev/null`
     22141    METIS_DATA=`$PKG_CONFIG --variable=datadir "coinmetis" 2>/dev/null`
     22142     coin_has_metis=yes
     22143        echo "$as_me:$LINENO: result: yes: $METIS_VERSIONS" >&5
     22144echo "${ECHO_T}yes: $METIS_VERSIONS" >&6
     22145        HSL_PCREQUIRES="coinmetis $HSL_PCREQUIRES"
     22146
     22147
     22148
     22149  else
     22150    METIS_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coinmetis"`
     22151      coin_has_metis=notGiven
     22152        echo "$as_me:$LINENO: result: not given: $METIS_PKG_ERRORS" >&5
     22153echo "${ECHO_T}not given: $METIS_PKG_ERRORS" >&6
     22154
     22155  fi
     22156else
     22157  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module Metis without pkg-config\"" >&5
     22158echo "$as_me: error: \"Cannot check for existance of module Metis without pkg-config\"" >&2;}
     22159   { (exit 1); exit 1; }; }
     22160fi
     22161
     22162
     22163
     22164
     22165    # reset PKG_CONFIG_PATH variable
     22166    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     22167    export PKG_CONFIG_PATH
     22168
     22169    # augment X_CFLAGS and X_LIBS for each build target X in HSL
     22170
     22171      HSL_CFLAGS="$METIS_CFLAGS $HSL_CFLAGS"
     22172      HSL_LIBS="$METIS_LIBS $HSL_LIBS"
     22173
     22174  else
     22175    echo "$as_me:$LINENO: result: skipped check via pkg-config, redirect to fallback" >&5
     22176echo "${ECHO_T}skipped check via pkg-config, redirect to fallback" >&6
     22177
     22178echo "$as_me:$LINENO: checking for COIN-OR package Metis (fallback)" >&5
     22179echo $ECHO_N "checking for COIN-OR package Metis (fallback)... $ECHO_C" >&6
     22180
     22181coin_has_metis=notGiven
     22182METIS_LIBS=
     22183METIS_CFLAGS=
     22184METIS_DATA=
     22185
     22186# initial list of dependencies is "coinmetis", but we need to filter out version number specifications (= x, <= x, >= x)
     22187projtoprocess="coinmetis"
     22188
     22189# we first expand the list of projects to process by adding all dependencies just behind the project which depends on it
     22190# further, we collect the list of corresponding .pc files, but do this in reverse order, because we need this order afterwards
     22191# also, we setup the DATA variable
     22192allproj=""
     22193allpcfiles=""
     22194while test "x$projtoprocess" != x ; do
     22195
     22196  for proj in $projtoprocess ; do
     22197    # if $proj is available and configured, then a project-uninstalled.pc file should have been created, so search for it
     22198    pcfile=""
     22199    save_IFS="$IFS"
     22200    IFS=":"
     22201    for dir in $COIN_PKG_CONFIG_PATH_UNINSTALLED ; do
     22202      # the base directory configure should have setup coin_subdirs.txt in a way that it does not contain projects that should be skipped, so we do not need to test this here again
     22203      if test -r "$dir/$proj-uninstalled.pc" ; then
     22204        pcfile="$dir/$proj-uninstalled.pc"
     22205        break
     22206      fi
     22207    done
     22208    IFS="$save_IFS"
     22209
     22210    if test "x$pcfile" != x ; then
     22211      # read dependencies from $pcfile and filter it
     22212      projrequires=`sed -n -e 's/Requires://gp' "$pcfile" | sed -e 's/<\{0,1\}>\{0,1\}=[        ]\{0,\}[^       ]\{1,\}//g'`
     22213
     22214      # add projrequires to the front of the list of projects that have to be processed next
     22215      # at the same time, remove $proj from this list
     22216      projtoprocess=${projtoprocess/$proj/$projrequires}
     22217
     22218      # read DATA from $pcfile, if this is the first .pc file we are processing (so assume that its the main one)
     22219      if test "x$allproj" = x ; then
     22220        METIS_DATA=`sed -n -e 's/datadir=//gp' "$pcfile"`
     22221      fi
     22222
     22223      allproj="$allproj $proj"
     22224      allpcfiles="$pcfile:$allpcfiles"
     22225
     22226    else
     22227      echo "$as_me:$LINENO: result: no, dependency $proj not available" >&5
     22228echo "${ECHO_T}no, dependency $proj not available" >&6
     22229      allproj=fail
     22230      break 2
     22231    fi
     22232
     22233    break
     22234  done
     22235
     22236  # remove spaces on begin of $projtoprocess
     22237  projtoprocess=`echo $projtoprocess | sed -e 's/^ *//'`
     22238
     22239done
     22240
     22241if test "$allproj" != fail ; then
     22242
     22243  # now go through the list of .pc files and assemble compiler and linker flags
     22244  # important is here to obey the reverse order that has been setup before,
     22245  # since then libraries that are required by several others should be after these other libraries
     22246  pcfilesprocessed=""
     22247
     22248  save_IFS="$IFS"
     22249  IFS=":"
     22250  for pcfile in $allpcfiles ; do
     22251
     22252    # if $pcfile has been processed already, skip this round
     22253    if test "x$pcfilesprocessed" != x ; then
     22254      for pcfiledone in $pcfilesprocessed ; do
     22255        if test "$pcfiledone" = "$pcfile" ; then
     22256          continue 2
     22257        fi
     22258      done
     22259    fi
     22260
     22261    # reconstruct the directory where the .pc file is located
     22262    pcfiledir=`echo $pcfile | sed -e 's/\/[^\/]*$//'`
     22263
     22264    # read CFLAGS from $pcfile and add CYGPATH_W cludge into include flags
     22265    projcflags=`sed -n -e 's/Cflags://p' "$pcfile"`
     22266    projcflags=`echo "$projcflags" | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
     22267    METIS_CFLAGS="$projcflags $METIS_CFLAGS"
     22268
     22269    # read LIBS from $pcfile and replace -L${libdir} by absolute path to build directory in linker flags
     22270    # we assume that the build directory is $pcfiledir/src if this directory exists, otherwise we assume that it is $pcfiledir
     22271    projlibs=`sed -n -e 's/Libs://' -e 's/-L\${libdir}//p' "$pcfile"`
     22272    if test "x$projlibs" != x ; then
     22273      if test -d "${pcfiledir}/src" ; then
     22274        projlibs="-L`cd "${pcfiledir}/src"; pwd` $projlibs"
     22275      else
     22276        projlibs="-L`cd "$pcfiledir"; pwd` $projlibs"
     22277      fi
     22278    else
     22279      projlibs=`sed -n -e 's/Libs://p' "$pcfile"`
     22280    fi
     22281    METIS_LIBS="$projlibs $METIS_LIBS"
     22282
     22283    # remember that we have processed $pcfile
     22284    pcfilesprocessed="$pcfilesprocessed:$pcfile"
     22285
     22286  done
     22287  IFS="$save_IFS"
     22288
     22289  # finish up
     22290  coin_has_metis=yes
     22291  echo "$as_me:$LINENO: result: yes" >&5
     22292echo "${ECHO_T}yes" >&6
     22293
     22294cat >>confdefs.h <<\_ACEOF
     22295#define COIN_HAS_METIS 1
     22296_ACEOF
     22297
     22298
     22299
     22300    HSL_PCREQUIRES="coinmetis $HSL_PCREQUIRES"
     22301    HSL_CFLAGS="$METIS_CFLAGS $HSL_CFLAGS"
     22302    HSL_LIBS="$METIS_LIBS $HSL_LIBS"
     22303
     22304
     22305  if test 1 = 0 ; then  #change this test to enable a bit of debugging output
     22306    if test -n "$METIS_CFLAGS" ; then
     22307      { echo "$as_me:$LINENO: Metis CFLAGS are $METIS_CFLAGS" >&5
     22308echo "$as_me: Metis CFLAGS are $METIS_CFLAGS" >&6;}
     22309    fi
     22310    if test -n "$METIS_LIBS" ; then
     22311      { echo "$as_me:$LINENO: Metis LIBS   are $METIS_LIBS" >&5
     22312echo "$as_me: Metis LIBS   are $METIS_LIBS" >&6;}
     22313    fi
     22314    if test -n "$METIS_DATA" ; then
     22315      { echo "$as_me:$LINENO: Metis DATA   is  $METIS_DATA" >&5
     22316echo "$as_me: Metis DATA   is  $METIS_DATA" >&6;}
     22317    fi
     22318
     22319      { echo "$as_me:$LINENO: HSL CFLAGS are $HSL_CFLAGS" >&5
     22320echo "$as_me: HSL CFLAGS are $HSL_CFLAGS" >&6;}
     22321      { echo "$as_me:$LINENO: HSL LIBS   are $HSL_LIBS" >&5
     22322echo "$as_me: HSL LIBS   are $HSL_LIBS" >&6;}
     22323
     22324  fi
     22325
     22326fi
     22327
     22328
     22329
     22330if test $coin_has_metis != notGiven &&
     22331                test $coin_has_metis != skipping; then
     22332  COIN_HAS_METIS_TRUE=
     22333  COIN_HAS_METIS_FALSE='#'
     22334else
     22335  COIN_HAS_METIS_TRUE='#'
     22336  COIN_HAS_METIS_FALSE=
     22337fi
     22338
     22339
     22340
     22341  fi
     22342
     22343else
     22344  echo "$as_me:$LINENO: result: $coin_has_metis" >&5
     22345echo "${ECHO_T}$coin_has_metis" >&6
     22346fi
     22347
     22348if test $coin_has_metis != skipping &&
     22349   test $coin_has_metis != notGiven ; then
     22350
     22351cat >>confdefs.h <<\_ACEOF
     22352#define COIN_HAS_METIS 1
     22353_ACEOF
     22354
     22355
     22356  if test 1 = 0 ; then  #change this test to enable a bit of debugging output
     22357    if test -n "$METIS_CFLAGS" ; then
     22358      { echo "$as_me:$LINENO: Metis CFLAGS are $METIS_CFLAGS" >&5
     22359echo "$as_me: Metis CFLAGS are $METIS_CFLAGS" >&6;}
     22360    fi
     22361    if test -n "$METIS_LIBS" ; then
     22362      { echo "$as_me:$LINENO: Metis LIBS   are $METIS_LIBS" >&5
     22363echo "$as_me: Metis LIBS   are $METIS_LIBS" >&6;}
     22364    fi
     22365    if test -n "$METIS_DATA" ; then
     22366      { echo "$as_me:$LINENO: Metis DATA   is  $METIS_DATA" >&5
     22367echo "$as_me: Metis DATA   is  $METIS_DATA" >&6;}
     22368    fi
     22369    if test -n "$METIS_CFLAGS" ; then
     22370      { echo "$as_me:$LINENO: Metis CFLAGS are $METIS_CFLAGS" >&5
     22371echo "$as_me: Metis CFLAGS are $METIS_CFLAGS" >&6;}
     22372    fi
     22373
     22374      { echo "$as_me:$LINENO: HSL CFLAGS are $HSL_CFLAGS" >&5
     22375echo "$as_me: HSL CFLAGS are $HSL_CFLAGS" >&6;}
     22376      { echo "$as_me:$LINENO: HSL LIBS   are $HSL_LIBS" >&5
     22377echo "$as_me: HSL LIBS   are $HSL_LIBS" >&6;}
     22378
     22379  fi
     22380fi
     22381
     22382# Define the Makefile conditional
     22383
     22384
     22385if test $coin_has_metis != notGiven &&
     22386                test $coin_has_metis != skipping; then
     22387  COIN_HAS_METIS_TRUE=
     22388  COIN_HAS_METIS_FALSE='#'
     22389else
     22390  COIN_HAS_METIS_TRUE='#'
     22391  COIN_HAS_METIS_FALSE=
     22392fi
     22393
     22394
     22395
     22396else
     22397
     22398
     22399if test 0 = 1; then
     22400  COIN_HAS_METIS_TRUE=
     22401  COIN_HAS_METIS_FALSE='#'
     22402else
     22403  COIN_HAS_METIS_TRUE='#'
     22404  COIN_HAS_METIS_FALSE=
     22405fi
     22406
    2205022407fi
    2205122408if test $coin_has_ma28ad = yes; then
     
    2239322750Usually this means the macro was only invoked conditionally." >&5
    2239422751echo "$as_me: error: conditional \"COIN_HAS_MA77\" was never defined.
     22752Usually this means the macro was only invoked conditionally." >&2;}
     22753   { (exit 1); exit 1; }; }
     22754fi
     22755if test -z "${COIN_HAS_METIS_TRUE}" && test -z "${COIN_HAS_METIS_FALSE}"; then
     22756  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_METIS\" was never defined.
     22757Usually this means the macro was only invoked conditionally." >&5
     22758echo "$as_me: error: conditional \"COIN_HAS_METIS\" was never defined.
     22759Usually this means the macro was only invoked conditionally." >&2;}
     22760   { (exit 1); exit 1; }; }
     22761fi
     22762if test -z "${COIN_HAS_METIS_TRUE}" && test -z "${COIN_HAS_METIS_FALSE}"; then
     22763  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_METIS\" was never defined.
     22764Usually this means the macro was only invoked conditionally." >&5
     22765echo "$as_me: error: conditional \"COIN_HAS_METIS\" was never defined.
     22766Usually this means the macro was only invoked conditionally." >&2;}
     22767   { (exit 1); exit 1; }; }
     22768fi
     22769if test -z "${COIN_HAS_METIS_TRUE}" && test -z "${COIN_HAS_METIS_FALSE}"; then
     22770  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_METIS\" was never defined.
     22771Usually this means the macro was only invoked conditionally." >&5
     22772echo "$as_me: error: conditional \"COIN_HAS_METIS\" was never defined.
    2239522773Usually this means the macro was only invoked conditionally." >&2;}
    2239622774   { (exit 1); exit 1; }; }
     
    2298923367s,@COIN_PKG_CONFIG_PATH_UNINSTALLED@,$COIN_PKG_CONFIG_PATH_UNINSTALLED,;t t
    2299023368s,@FLIBS@,$FLIBS,;t t
    22991 s,@HSL_PCLIBS@,$HSL_PCLIBS,;t t
    2299223369s,@EGREP@,$EGREP,;t t
    2299323370s,@FC@,$FC,;t t
     
    2307323450s,@COIN_HAS_MA77_TRUE@,$COIN_HAS_MA77_TRUE,;t t
    2307423451s,@COIN_HAS_MA77_FALSE@,$COIN_HAS_MA77_FALSE,;t t
     23452s,@METIS_LIBS@,$METIS_LIBS,;t t
     23453s,@METIS_CFLAGS@,$METIS_CFLAGS,;t t
     23454s,@METIS_DATA@,$METIS_DATA,;t t
     23455s,@HSL_CFLAGS@,$HSL_CFLAGS,;t t
     23456s,@HSL_LIBS@,$HSL_LIBS,;t t
     23457s,@HSL_PCLIBS@,$HSL_PCLIBS,;t t
     23458s,@HSL_PCREQUIRES@,$HSL_PCREQUIRES,;t t
     23459s,@COIN_HAS_METIS_TRUE@,$COIN_HAS_METIS_TRUE,;t t
     23460s,@COIN_HAS_METIS_FALSE@,$COIN_HAS_METIS_FALSE,;t t
    2307523461s,@HAVE_MXXX_CFLAGS@,$HAVE_MXXX_CFLAGS,;t t
    2307623462s,@F77_SHARED_CMD@,$F77_SHARED_CMD,;t t
  • ThirdParty/HSL/trunk/configure.ac

    r1758 r1873  
    6666
    6767# Add FLIBS to HSL_PCLIBS, so that they get into the .pc files
    68 HSL_PCLIBS="$FLIBS"
    69 AC_SUBST(HSL_PCLIBS)
     68HSL_PCLIBS="$HSL_PCLIBS $FLIBS"
    7069
    7170# Need egrep later on
     
    144143if test $coin_has_ma57ad = yes; then
    145144  HAVE_MXXX_CFLAGS="-DHAVE_MA57 $HAVE_MXXX_CFLAGS"
     145  AC_COIN_CHECK_PACKAGE(Metis, [coinmetis], HSL)
     146else
     147  AM_CONDITIONAL(COIN_HAS_METIS, [test 0 = 1])
    146148fi
    147149if test $coin_has_ma28ad = yes; then
Note: See TracChangeset for help on using the changeset viewer.